#!/usr/bin/python

import moveit_commander
import rospy
import sys

from planning.baxter import Baxter
from baxter_agent import BaxterAgent
from planning.scene import Scene

config = {
	'is_train': True,
	'tree_dir': './saved_trees/',
	'scene': 'scene description' #Should contain a description of the scene to be loaded
}

def add_item(scene, color, msg):
	if msg:
		scene.set_item(color=color)

def main():

	moveit_commander.roscpp_initialize(sys.argv)
	rospy.init_node('garbage_bot', anonymous=True)

	b = Baxter()

	b.left.move(b.left.top)
	b.ready_camera()
	


if __name__ == '__main__':
	main()
